SystemOrganization addCategory: #'TP BichOS-Test'!

TestCase subclass: #TestCansancio
	instanceVariableNames: 'pepa punto0 punto1 punto2 oreo cansada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:28'!
setUp
pepa:= HormigaObrera new.
punto0:= Punto new.
punto0 longitud:0.
punto0 latitud: 0.
punto1:= Punto new.
punto1 longitud:20.
punto1 latitud: 0.
punto2:= Punto new.
punto2 longitud:50.
punto2 latitud:0.

pepa posicion: punto0.

oreo:= Alimento new.
oreo posicion: punto2.
oreo masa:200! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:14'!
testPepaSeCansaLuegoDescansaYRecolectaAlimento

pepa irA: punto1.

pepa descansar.

pepa extraerComidaDe: oreo.
self assert: (pepa pesoLlevado) equals: 10.


! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:15'!
testPepaSeCansaYNoRecolectaAlimento

pepa irA: punto1.


pepa extraerComidaDe: oreo.
self assert: (pepa pesoLlevado) equals: 0.


! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:15'!
testPepaSeCansaYNoSeMueve

pepa irA: punto1.

pepa irA: punto2.

self assert: (pepa distanciaRecorrida) equals: 20.

! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:15'!
testPepaSeExaltaRecorreMasDe5MtsYNoPuedeExtraerMasDelLimite
pepa descansar.
pepa irA: punto1.


pepa extraerComidaDe: oreo.

self assert: (pepa pesoLlevado) equals:10.
 


! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:15'!
testPepaSeExaltaYExtraeDobleAlimento

pepa descansar.



pepa extraerComidaDe: oreo.

self assert: (pepa pesoLlevado ) equals: 20.
! !

TestCase subclass: #TestColonias
	instanceVariableNames: 'casa puntoHormiguero casa2 puntoHormiguero2 casa3 puntoHormiguero3 unaHormigaObrera unaHormigaZangano unaHormigaReina unaHormigaSoldado unaOreo punto1 punto2 punto3 unHormiguero colonia colonia2 langosta1 langosta2 langosta3 unTerreno unaLangosta punto0 oreo migaDePan medioAlfajor zapatillaDeLona juana pepa lucas juancha'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestColonias methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/10/2015 15:43'!
setUp

punto0 := Punto new.	
punto0 latitud: 0.
punto0 longitud: 10.

punto1 := Punto new.
punto1 latitud: 0.
punto1 longitud: 0.

punto2 := Punto new.	
punto2 latitud: 15.
punto2 longitud: 0.
punto3:= Punto new.
punto3 longitud: 20.
punto3 latitud: 10.

casa:= Hormiguero new.
casa2:= Hormiguero new.
casa3:= Hormiguero new.
casa posicion: punto0.
casa2 posicion: punto1.
casa3 posicion: punto2.
casa modoDeAtaque: AtaqueConCercanas new.
casa2 modoDeAtaque: AtaqueConCercanas new.
casa3 modoDeAtaque: AtaqueConCercanas new.


unaHormigaObrera := HormigaObrera new.
unaHormigaZangano := HormigaZangano new.
unaHormigaReina := HormigaReina new.
unaHormigaSoldado := HormigaSoldado new.

juana:= HormigaObrera new.
pepa:= HormigaObrera new.
lucas:= HormigaObrera new.
juancha:= HormigaObrera new.
juana posicion: punto0.
pepa posicion: punto0.
lucas posicion: punto0.
juancha posicion: punto0.

casa agregarHormiga: juancha.
casa agregarHormiga: juana.
casa2 agregarHormiga: pepa.
casa2 agregarHormiga: lucas.

	
langosta1 := Langosta new.
langosta2 := Langosta new.
langosta3 := Langosta new.
	

	
unaHormigaObrera posicion: punto1.
unaHormigaSoldado posicion: punto1.
unaHormigaZangano posicion: punto1.
unaHormigaReina posicion: punto1.
langosta1 posicion: punto1.
langosta2 posicion: punto1.
langosta3 posicion: punto1.
	

	
casa  agregarHormiga: unaHormigaObrera.
casa  agregarHormiga: unaHormigaReina.
casa  agregarHormiga: unaHormigaZangano.
casa2 agregarHormiga: HormigaSoldado new.
casa3 agregarHormiga: HormigaSoldado new.
casa3 agregarHormiga: HormigaSoldado new.


	
casa2 hormigas do: [: hormiga | hormiga posicion: punto1 ].
casa3 hormigas do: [: hormiga | hormiga posicion: punto1 ].
	unTerreno := Terreno new.
	
	unTerreno bichos addAll: {langosta1. langosta2. langosta3}.
	
	casa terreno: unTerreno.
	casa2 terreno: unTerreno.
	casa3 terreno: unTerreno.
	
oreo:= Alimento new.
migaDePan:= Alimento new.
medioAlfajor:= Alimento new.
zapatillaDeLona:= Alimento new.
oreo masa:10000.
migaDePan masa: 2000.
medioAlfajor masa:60000.
zapatillaDeLona masa:0.



oreo posicion: punto1.
migaDePan posicion: punto2.
medioAlfajor posicion: punto3.
zapatillaDeLona posicion: punto0.
! !

!TestColonias methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/10/2015 15:54'!
testColoniaRecolectaAlimentoEInformaLaCantidadTotal
colonia:= Colonia new.
colonia agregarElemento: casa.
colonia agregarElemento: casa2.
colonia2:= Colonia new.
colonia2 agregarElemento: casa3.
colonia2 agregarElemento: colonia.

juana extraerComidaDe: oreo.
pepa extraerComidaDe: migaDePan.
juancha extraerComidaDe: medioAlfajor.
lucas extraerComidaDe: oreo.
pepa extraerComidaDe: oreo.

colonia2 reclamarAlimento.

self assert: (colonia2 alimentoTotal  )equals: 42.
! !

!TestColonias methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/10/2015 15:35'!
testColoniaSeDefiende
colonia:= Colonia new.
colonia agregarElemento: casa.
colonia agregarElemento: casa2.
colonia agregarElemento: casa3 .

colonia atacarAIntrusos.
self assert: (colonia cantidadDeHormigas   )equals: 0.
! !

!TestColonias methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/10/2015 15:50'!
testCrearColoniaDeColonias
colonia := Colonia new.
colonia agregarElemento: casa.
colonia agregarElemento: casa2.
colonia2:= Colonia new.
colonia2 agregarElemento: casa3.
colonia2 agregarElemento: colonia.

self assert: (colonia2 cantidadDeHormigas   )equals: 10.
! !

!TestColonias methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/10/2015 15:52'!
testCrearColoniaDeHormigueros
colonia := Colonia new.
colonia agregarElemento: casa.
colonia agregarElemento: casa2.
colonia agregarElemento: casa3.

self assert: (colonia cantidadDeHormigas   )equals: 10.
! !

TestCase subclass: #TestDiversificacion
	instanceVariableNames: 'unaHormigaObrera unaHormigaSoldado unaHormigaReina unaHormigaZangano unaOreo punto1 punto2 unHormiguero punto3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 21:55'!
setUp

	unaHormigaObrera := HormigaObrera new.
	unaHormigaZangano := HormigaZangano new.
	unaHormigaReina := HormigaReina new.
	unaHormigaSoldado := HormigaSoldado new.
	
	unaOreo := GalletitaOreo new.
	
	punto1 := Punto new.
	punto2 := Punto new.
	punto3 := Punto new.
	
	punto1 latitud: 0.
	punto1 longitud: 0.
	
	punto2 latitud: 1.
	punto2 longitud: 1.
	
	punto3 latitud: 3.
	punto3 longitud: 4.
	
	unaHormigaObrera posicion: punto1.
	unaHormigaSoldado posicion: punto1.
	unaHormigaZangano posicion: punto1.
	unaHormigaReina posicion: punto1.
	
	unaOreo posicion: punto2.
	
	unHormiguero := Hormiguero new.
	unHormiguero posicion: punto1.
	
	unHormiguero agregarHormiga: unaHormigaObrera.
	unHormiguero agregarHormiga: unaHormigaSoldado.
	unHormiguero agregarHormiga: unaHormigaReina.
	unHormiguero agregarHormiga: unaHormigaZangano.! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 21:42'!
testAlimentoEnTransito

	unaHormigaObrera extraerComidaDe: unaOreo.
	unaHormigaSoldado extraerComidaDe: unaOreo.
	unaHormigaZangano extraerComidaDe: unaOreo.
	unaHormigaReina extraerComidaDe: unaOreo.
	
	self assert: unHormiguero alimentoRecolectado equals: 11! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:41'!
testEntregarAlimentoObrera

	unaHormigaObrera extraerComidaDe: unaOreo.
	
	unaHormigaObrera llevarAlimentoA: unHormiguero.
	
	self assert: unHormiguero deposito equals: 10! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:37'!
testEntregarAlimentoReina

	unaHormigaReina extraerComidaDe: unaOreo.
	
	unaHormigaReina llevarAlimentoA: unHormiguero.
	
	self assert: unHormiguero deposito equals: 0! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:38'!
testEntregarAlimentoSoldado

	unaHormigaSoldado extraerComidaDe: unaOreo.
	
	unaHormigaSoldado llevarAlimentoA: unHormiguero.
	
	self assert: unHormiguero deposito equals: 0! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:38'!
testEntregarAlimentoZangano

	unaHormigaZangano extraerComidaDe: unaOreo.
	
	unaHormigaZangano llevarAlimentoA: unHormiguero.
	
	self assert: unHormiguero deposito equals: 1! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 21:03'!
testHormigueroTiene4Hormigas

	self assert: unHormiguero cantidadDeHormigas equals: 4! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:39'!
testObreraNoEstaAlLimite
	
	self deny: unaHormigaObrera estaAlLimite! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:44'!
testObreraPosicionSeMueve

	unaHormigaObrera irA: punto2.
	
	self assert: unaHormigaObrera posicion equals: punto2! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:24'!
testObreraRecolectaComida

	unaHormigaObrera extraerComidaDe: unaOreo.
	
	self assert: unaHormigaObrera pesoLlevado equals: 10! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 21:16'!
testRecorridoTotalHormigas

	unaHormigaObrera irA: punto3.
	unaHormigaSoldado irA: punto3.
	unaHormigaReina irA: punto3.
	unaHormigaZangano irA: punto3.
	
	self assert: unHormiguero recorridoTotalHormigas equals: 10! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:40'!
testReinaNoEstaAlLimite
	
	self deny: unaHormigaReina estaAlLimite! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:24'!
testReinaNoRecolectaComida

	unaHormigaReina extraerComidaDe: unaOreo.
	
	self assert: unaHormigaReina pesoLlevado equals: 0! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:44'!
testReinaPosicionNoSeMueve

	unaHormigaReina irA: punto2.
	
	self assert: unaHormigaReina posicion equals: punto1! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:39'!
testSoldadoNoEstaAlLimite
	
	self deny: unaHormigaSoldado estaAlLimite! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:24'!
testSoldadoNoRecolectaComida

	unaHormigaSoldado extraerComidaDe: unaOreo.
	
	self assert: unaHormigaSoldado pesoLlevado equals: 0	! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:44'!
testSoldadoPosicionSeMueve

	unaHormigaSoldado irA: punto2.
	
	self assert: unaHormigaSoldado posicion equals: punto2! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:40'!
testZanganoEstaAlLimite
	
	self assert: unaHormigaZangano estaAlLimite! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:24'!
testZanganoNoRecolectaComida

	unaHormigaZangano extraerComidaDe: unaOreo.
	
	self assert: unaHormigaZangano pesoLlevado equals: 1	! !

!TestDiversificacion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 20:45'!
testZanganoPosicionNoSeMueve

	unaHormigaZangano irA: punto2.
	
	self assert: unaHormigaZangano posicion equals: punto1! !

TestCase subclass: #TestEnemigos
	instanceVariableNames: 'unaHormigaObrera unaHormigaSoldado unaHormigaReina unaHormigaZangano unaHormiga punto1 unHormiguero unaLangosta unTerreno langosta1 langosta2 langosta3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:48'!
setUp

	unaHormigaObrera := HormigaObrera new.
	unaHormigaZangano := HormigaZangano new.
	unaHormigaReina := HormigaReina new.
	unaHormigaSoldado := HormigaSoldado new.
	
	unaLangosta := Langosta new.
	
	langosta1 := Langosta new.
	langosta2 := Langosta new.
	langosta3 := Langosta new.
	
	punto1 := Punto new.
	
	punto1 latitud: 0.
	punto1 longitud: 0.
	
	unaHormigaObrera posicion: punto1.
	unaHormigaSoldado posicion: punto1.
	unaHormigaZangano posicion: punto1.
	unaHormigaReina posicion: punto1.
	langosta1 posicion: punto1.
	langosta2 posicion: punto1.
	langosta3 posicion: punto1.
	
	unHormiguero := Hormiguero new.
	unHormiguero posicion: punto1.
	
	unHormiguero agregarHormiga: unaHormigaObrera.
	unHormiguero agregarHormiga: unaHormigaSoldado.
	unHormiguero agregarHormiga: unaHormigaReina.
	unHormiguero agregarHormiga: unaHormigaZangano.
	unHormiguero agregarHormiga: HormigaSoldado new.
	unHormiguero agregarHormiga: HormigaSoldado new.
	unHormiguero agregarHormiga: HormigaSoldado new.
	unHormiguero agregarHormiga: HormigaSoldado new.
	unHormiguero agregarHormiga: HormigaSoldado new.
	unHormiguero agregarHormiga: HormigaSoldado new.
	unHormiguero agregarHormiga: HormigaSoldado new.
	unHormiguero agregarHormiga: HormigaSoldado new.
	
	unHormiguero hormigas do: [: hormiga | hormiga posicion: punto1 ].
	
	unTerreno := Terreno new.
	
	unTerreno bichos addAll: {langosta1. langosta2. langosta3}.
	
	unHormiguero terreno: unTerreno.! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:47'!
testAtacarIntrusosAtaqueConCercanas

	unHormiguero modoDeAtaque: AtaqueConCercanas new.
	
	unHormiguero atacarAIntrusos.

	self assert: unHormiguero cantidadDeHormigas equals: 0! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:46'!
testAtacarIntrusosAtaqueConDiez

	unHormiguero modoDeAtaque: AtaqueConDiez new.
	
	unHormiguero atacarAIntrusos.

	self assert: unHormiguero cantidadDeHormigas equals: 2! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:46'!
testAtacarIntrusosAtaqueConViolentas

	unHormiguero modoDeAtaque: AtaqueConViolentas new.
	
	unHormiguero atacarAIntrusos.

	self assert: unHormiguero cantidadDeHormigas equals: 3! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:05'!
testAtaqueALangostaConObrera
	
	unaHormigaObrera atacarA: unaLangosta.
	
	self assert: unaHormigaObrera estaMuerta
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:06'!
testAtaqueALangostaConReina
	
	unaHormigaReina atacarA: unaLangosta.
	
	self assert: unaHormigaReina estaMuerta
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:05'!
testAtaqueALangostaConSoldado
	
	unaHormigaSoldado atacarA: unaLangosta.
	
	self assert: unaHormigaSoldado puntosDeVida equals: 10
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:06'!
testAtaqueALangostaConZangano
	
	unaHormigaZangano atacarA: unaLangosta.
	
	self assert: unaHormigaZangano estaMuerta
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:04'!
testAtaqueALangostaPierdeVida
	
	unaHormigaSoldado atacarA: unaLangosta.
	
	self assert: unaLangosta puntosDeVida equals: 45
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 22:59'!
testAtaqueAObrera
	unaHormiga := HormigaObrera new.
	unHormiguero agregarHormiga: unaHormiga.
	
	unaHormigaSoldado atacarA: unaHormiga.
	
	self assert: unaHormiga estaMuerta
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:00'!
testAtaqueAReina
	unaHormiga := HormigaReina new.
	unHormiguero agregarHormiga: unaHormiga.
	
	unaHormigaSoldado atacarA: unaHormiga.
	
	self assert: unaHormiga estaMuerta
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:00'!
testAtaqueASoldado
	unaHormiga := HormigaSoldado new.
	unHormiguero agregarHormiga: unaHormiga.
	
	unaHormigaSoldado atacarA: unaHormiga.
	
	self assert: unaHormiga puntosDeVida equals: 15
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:00'!
testAtaqueAZangano
	unaHormiga := HormigaZangano new.
	unHormiguero agregarHormiga: unaHormiga.
	
	unaHormigaSoldado atacarA: unaHormiga.
	
	self assert: unaHormiga estaMuerta
	! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:13'!
testDetectarIntrusos

	self assert: unHormiguero intrusos equals: {langosta1. langosta2. langosta3} asBag! !

!TestEnemigos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 22:12'!
testMatarHormiga

	unaHormigaObrera morir.
	
	self deny: ((unHormiguero hormigas) includes: unaHormigaObrera)! !

TestCase subclass: #TestExpediciones
	instanceVariableNames: 'punto0 casa oreo expedicion1 hormigaObrera'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestExpediciones methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:07'!
setUp
punto0:= Punto new.
punto0 longitud:5.
punto0 latitud:5.
casa:= Hormiguero new.
casa posicion: punto0.
casa agregarHormiga: HormigaObrera new.
casa agregarHormiga: HormigaObrera new.
casa agregarHormiga: HormigaObrera new.
casa agregarHormiga: HormigaObrera new.
casa agregarHormiga: HormigaObrera new.
casa agregarHormiga: HormigaObrera new.
casa agregarHormiga: HormigaObrera new.
casa agregarHormiga: HormigaObrera new.
casa hormigas do: [ :hormiga | hormiga posicion: punto0 ].
oreo:= Alimento new.
oreo masa:50.
oreo posicion: punto0.! !

!TestExpediciones methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:16'!
testCreacionDeUnaExpedicion
expedicion1:= Expedicion new.

expedicion1 asignarHormigasNecesariasDe: casa para:oreo.


self assert: (expedicion1 hormigasParaExpedicion)size  equals: 5! !

!TestExpediciones methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:18'!
testCreacionDeUnaExpedicionYMandarARecolectarAlimento
expedicion1:= Expedicion new.

expedicion1 asignarHormigasNecesariasDe: casa para:oreo.
expedicion1 concretarTareaDe: oreo.


self assert: oreo masa  equals: 0.! !

!TestExpediciones methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:22'!
testCrearUnaExpedicionDesarmarlaYMandarARecolectar
expedicion1:= Expedicion new.

expedicion1 asignarHormigasNecesariasDe: casa para:oreo.
expedicion1 desarmar.
expedicion1 concretarTareaDe: oreo.


self assert: (expedicion1 hormigasParaExpedicion size)  equals: 0.! !

!TestExpediciones methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:19'!
testCrearUnaExpedicionYDesarmarla
expedicion1:= Expedicion new.

expedicion1 asignarHormigasNecesariasDe: casa para:oreo.
expedicion1 desarmar.


self assert: (expedicion1 hormigasParaExpedicion size)  equals: 0.! !

!TestExpediciones methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:21'!
testCrearUnaExpedicionYDesarmarla2Veces
expedicion1:= Expedicion new.

expedicion1 asignarHormigasNecesariasDe: casa para:oreo.
expedicion1 desarmar.
expedicion1 desarmar.


self assert: (expedicion1 hormigasParaExpedicion size)  equals: 0.! !

TestCase subclass: #TestExtraccion
	instanceVariableNames: 'oreo migaDePan medioAlfajor zapatillaDeLona juanita punto0 punto1 punto2 punto3 pepita florcita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestExtraccion methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:28'!
setUp
oreo:= Alimento new.
migaDePan:= Alimento new.
medioAlfajor:= Alimento new.
zapatillaDeLona:= Alimento new.
oreo masa:10000.
migaDePan masa: 2000.
medioAlfajor masa:60000.
zapatillaDeLona masa:0.
juanita:= HormigaObrera new.
punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.
punto1:= Punto new.
punto1 latitud: 0.
punto1 longitud: 30.
punto2:= Punto new.
punto2 latitud: 10.
punto2 longitud: 30.
punto3:= Punto new.
punto3 latitud: 4.
punto3 longitud: 38.
juanita posicion: punto0.
pepita:= HormigaObrera new.
pepita posicion: punto0.
florcita:= HormigaObrera new.
florcita posicion: punto0.
oreo posicion: punto1.
migaDePan posicion: punto2.
medioAlfajor posicion: punto3.
zapatillaDeLona posicion: punto0! !

!TestExtraccion methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:14'!
testExtraerAlimentoDeObjetos

juanita extraerComidaDe: oreo.
pepita extraerComidaDe: migaDePan.
florcita extraerComidaDe: zapatillaDeLona.



florcita extraerComidaDe: oreo.

self assert: (oreo masa) equals: 9978.





! !

!TestExtraccion methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:13'!
testExtraerTodoElAlimentoDeUnObjeto
migaDePan masa: 30.

juanita extraerComidaDe: migaDePan.
pepita extraerComidaDe: migaDePan.
florcita extraerComidaDe: migaDePan.



self assert: ( migaDePan masa) equals: 0.







! !

TestCase subclass: #TestHormigas
	instanceVariableNames: 'juanita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:28'!
setUp

juanita:= HormigaObrera new! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:19'!
testCuantoAlimentoLlevaJuanitaAlNacer

self assert: (juanita pesoLlevado )equals: 0.! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:16'!
testJuanitaAlHornoCon5mg

juanita pesoLlevado: 5.

self deny: (juanita estaAlLimite )! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:16'!
testJuanitaAlHornoCon9mg

juanita pesoLlevado: 9.

self assert: (juanita estaAlLimite )! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:16'!
testJuanitaAlHornoSinLlevarCarga

juanita pesoLlevado: 0.

self deny: (juanita estaAlLimite  )! !

TestCase subclass: #TestHormiguero
	instanceVariableNames: 'casa juana pepa lucas juancha puntoHormiguero punto0 punto1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:27'!
setUp

casa:= Hormiguero new.
puntoHormiguero:= Punto new.
puntoHormiguero latitud:100.
puntoHormiguero longitud: 100.

casa posicion: puntoHormiguero.
juana:= HormigaObrera new.
pepa:= HormigaObrera new.
lucas:= HormigaObrera new.
juancha:= HormigaObrera new.

punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.

punto1:= Punto new.
punto1 latitud:0.
punto1 longitud:20.

juana posicion: punto0.
pepa posicion: punto0.
lucas posicion: punto0.
juancha posicion: punto0

! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:16'!
testAlimentoEnDeposito

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesoLlevado: 8.
pepa pesoLlevado: 9.
lucas pesoLlevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa deposito  ) equals: 10.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:17'!
testAlimentoEnTransito

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesoLlevado: 8.
pepa pesoLlevado: 9.
lucas pesoLlevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa alimentoRecolectado  ) equals: 9.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:17'!
testAlimentoTotalEnHormiguero

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesoLlevado: 8.
pepa pesoLlevado: 9.
lucas pesoLlevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa alimentoTotal ) equals: 19.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:01'!
testCantidadHormigasParaHormigueroConVariasHormigas


casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: lucas.
casa agregarHormiga: juancha.


self assert: (casa cantidadDeHormigas ) equals: 4.! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 16:14'!
testCantidadHormigasParaHormigueroVacio

self assert: (casa cantidadDeHormigas ) equals: 0.! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:17'!
testReclamarAlimentoDeLasHormigas

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.

juana pesoLlevado: 8.
pepa pesoLlevado: 9.

casa reclamarAlimento.

self assert: (casa deposito) equals: 17.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/12/2015 21:13'!
testRecorridoTotalHormigas

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.


casa reclamarAlimento.

self assert: (casa recorridoTotalHormigas ) equals:  565.685424949238.




! !

TestCase subclass: #TestRecorridos
	instanceVariableNames: 'punto1 punto2 punto3 punto0 juanita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'JulianBerbel 11/4/2015 23:27'!
setUp
juanita:= HormigaObrera new.

punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.

punto1:= Punto new.
punto1 latitud: 0.
punto1 longitud: 30.

punto2:= Punto new.
punto2 latitud: 10.
punto2 longitud: 30.

punto3:= Punto new.
punto3 latitud: 4.
punto3 longitud: 38.

juanita posicion: punto0



! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:48'!
testDistanciaPromedioDeJuanitaRecorriendo3Puntos

juanita irA: punto1.
juanita descansar.
juanita irA: punto2.
juanita descansar.
juanita irA: punto3.

self assert: (juanita distanciaRecorridaPromedio) equals: 50/3.










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:47'!
testDistanciaRecorridaPorJuanita

juanita descansar.
juanita irA: punto1.
juanita descansar.
juanita irA: punto2.
juanita descansar.
juanita irA: punto3.


self assert: (juanita distanciaRecorrida )equals: 50.










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'Federico 10/7/2015 17:26'!
testDistanciaRecorridaPorJuanitaUltimos2Viajes

juanita irA:punto1.
juanita descansar.
juanita irA: punto2.
juanita irA: punto3.
juanita descansar.
juanita irA: punto1.

self assert: ((punto2 distanciaA: punto3)+ (punto3 distanciaA: punto1)) equals: 18.94427190999916.


! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:48'!
testJuanitaRecorrio3Puntos

juanita irA: punto1.
juanita descansar.
juanita irA: punto2.
juanita descansar.
juanita irA: punto3.

self assert: (juanita puntosRecorridos )equals: {punto1. punto2. punto3.} asOrderedCollection 










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'Federico 10/7/2015 17:21'!
testPromedioDistanciaRecorridaUltimos2Puntos


juanita irA:punto1.
juanita descansar.
juanita irA: punto2.
juanita irA: punto3.
juanita descansar.
juanita irA: punto1.

self assert: (((punto2 distanciaA: punto3)+ (punto3 distanciaA: punto1))/2) equals: 9.47213595499958.



! !
